全球主机交流论坛

 找回密码
 注册

QQ登录

只需一步,快速开始

CeraNetworksBGVM服务器IP归属甄别会员请立即修改密码美国地址
查看: 1832|回复: 15

[疑问] 【教程】解决CentOS 6 EOL后源404的问题

[复制链接]
发表于 2020-12-3 15:44:50 | 显示全部楼层 |阅读模式
本帖最后由 我y零kk 于 2020-12-3 16:32 编辑

CentOS 6已经随着2020年11月的结束进入了EOL(Reaches End of Life),不过有一些老设备依然需要支持,CentOS官方也给这些还不想把CentOS 6扔进垃圾堆的用户保留了最后一个版本的镜像,只是这个镜像不会再有更新了

更换的Vault源我选了两个,一个是官方的http://vault.centos.org,使用的北美AWS的服务器,海外的话使用这个就可以;还有一个是阿里的http://mirrors.aliyun.com/centos-vault/,国内使用这个不会卡

repo文件已经改好了,但是我还没测试,如果有用的上的朋友请帮忙测一下,非常感谢

首先把fastestmirrors关了
  1. #编辑
  2. vi /etc/yum/pluginconf.d/fastestmirror.conf
  3. #修改
  4. enable=0
复制代码


先把之前的repo挪到备份,然后下面两个二选一
  1. mv /etc/yum.repos.d/CentOS-Base.repo /etc/yum.repos.d/CentOS-Base.repo.bak
复制代码


替换为官方Vault源
  1. wget -O /etc/yum.repos.d/CentOS-Base.repo https://static.lty.fun/%E5%85%B6%E4%BB%96%E8%B5%84%E6%BA%90/SourcesList/Centos-6-Vault-Official.repo
复制代码


替换为阿里云Vault镜像
  1. wget -O /etc/yum.repos.d/CentOS-Base.repo https://static.lty.fun/%E5%85%B6%E4%BB%96%E8%B5%84%E6%BA%90/SourcesList/Centos-6-Vault-Aliyun.repo
复制代码


如果没有wget的话,请使用SFTP或者直接nano、vi编辑/etc/yum.repos.d/CentOS-Base.repo

里面的东西替换成这两个选一个,国内用第二个阿里,国外建议第一个官方

https://static.lty.fun/%E5%85%B6%E4%BB%96%E8%B5%84%E6%BA%90/SourcesList/Centos-6-Vault-Official.repo
https://static.lty.fun/%E5%85%B6%E4%BB%96%E8%B5%84%E6%BA%90/SourcesList/Centos-6-Vault-Aliyun.repo
发表于 2020-12-3 15:46:37 | 显示全部楼层
提示: 作者被禁止或删除 内容自动屏蔽
发表于 2020-12-3 16:04:45 | 显示全部楼层
如果连wget都没有了咋整
 楼主| 发表于 2020-12-3 16:07:36 | 显示全部楼层
大猫熊 发表于 2020-12-3 16:04
如果连wget都没有了咋整

自己把repo下载下来,sftp连上去把它替换掉以前的/etc/yum.repos.d/CentOS-Base.repo
发表于 2020-12-3 16:10:25 | 显示全部楼层
我y零kk 发表于 2020-12-3 16:07
自己把repo下载下来,sftp连上去把它替换掉以前的/etc/yum.repos.d/CentOS-Base.repo

帮你试了下,不行,没用
发表于 2020-12-3 16:28:17 | 显示全部楼层
我的连wget也没有
 楼主| 发表于 2020-12-3 16:28:17 | 显示全部楼层
babi 发表于 2020-12-3 16:10
帮你试了下,不行,没用

改好了,开了台c6的机器测试了一下,发现$releasever的API也删了,指定6.10就好了

抱歉了233333
发表于 2020-12-3 16:32:15 | 显示全部楼层
我y零kk 发表于 2020-12-3 16:28
改好了,开了台c6的机器测试了一下,发现$releasever的API也删了,指定6.10就好了

抱歉了233333 ...

是可以了,给你点个赞!
发表于 2020-12-3 16:35:54 | 显示全部楼层
我y零kk 发表于 2020-12-3 16:28
改好了,开了台c6的机器测试了一下,发现$releasever的API也删了,指定6.10就好了

抱歉了233333 ...

能详细点吗,怎么指定6.10,谢谢了
您需要登录后才可以回帖 登录 | 注册

本版积分规则

Archiver|手机版|小黑屋|全球主机交流论坛

GMT+8, 2022-8-16 05:20 , Processed in 0.062646 second(s), 8 queries , Gzip On, MemCache On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表